Add Paragraphs
curl --request POST \
--url https://catalystapi.superdashhq.com/api/v1/knowledgeBase/addParagraph/{workspaceId}/{kbId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"paragraphs": [
{
"value": {
"data": "<string>"
}
}
]
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/knowledgeBase/addParagraph/{workspaceId}/{kbId}"
payload = { "paragraphs": [{ "value": { "data": "<string>" } }] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({paragraphs: [{value: {data: '<string>'}}]})
};
fetch('https://catalystapi.superdashhq.com/api/v1/knowledgeBase/addParagraph/{workspaceId}/{kbId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Paragraph added successfully"
}
{
"msg": "Bad request"
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
Paragraphs
Add Paragraphs
Upload plain text to your knowledge base
POST
/
v1
/
knowledgeBase
/
addParagraph
/
{workspaceId}
/
{kbId}
Add Paragraphs
Authorizations
string
required
API key associated with the workspace.
Path Parameters
string
required
UUID associated with the workspace.
string
required
UUID of the knowledge base.
Body Parameters
array
required
Response
{
"msg": "Paragraph added successfully"
}
{
"msg": "Bad request"
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
⌘I